%define upstream_name	 Spreadsheet-WriteExcel
%define upstream_version 2.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Write cross-platform Excel binary file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(OLE::Storage_Lite) >= 0.190.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl-Parse-RecDescent
BuildRequires: perl-OLE-Storage_Lite
BuildArch:  noarch

Requires:   perl-Parse-RecDescent
%description
This package contains the Spreadsheet::WriteExcel perl5 module which
can be used to write (not read) Excel95 binary spreadsheets. It supports
multiple workbook, cell formatting, formulas, hyperlinks and more.

Those spreadsheets will be compatible with Excel 5, 95, 97, 2000,
2002. The generated spreadsheets can also be imported in OpenOffice or
Gnumeric.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix perms
chmod 755 examples/*.pl external_charts/*.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
%make test

%install
%makeinstall_std

find %{buildroot} -name 'perllocal.pod' -o -name '.packlist' | xargs rm -f

rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/doc
rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/examples

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.380.0-2.mga3
+ Revision: 372721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.380.0-1.mga3
+ Revision: 342588
- update to 2.38

* Sat Jan 22 2011 jquelin <jquelin> 2.370.0-1.mga1
+ Revision: 31162
- mageia rebuild
- imported package perl-Spreadsheet-WriteExcel

